openoffice-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Matthias Seidel <matthias.sei...@hamburg.de>
Subject Re: 32-bit buildbots
Date Sat, 29 Jun 2019 14:01:35 GMT
Hi Peter,

Am 29.06.19 um 15:55 schrieb Peter Kovacs:
> Hmm, okay. I understood that build bot expects python 2.7 but got python 3.
> I think you mean build bot needs python 3 but runs with python 2.7, right? 
At least for the buildbot-master...
>
> Okay still I think infra needs to sort this.
> We could give them pointers. Shall I write another Comment? Or do you want to?

They should be aware of it because every buildbot on that machine has a
similar error:

https://ci.apache.org/buildslaves/bb_slave8_ubuntu

Regards,

   Matthias

>
> :) 
>
> Am 29. Juni 2019 13:17:10 MESZ schrieb Matthias Seidel <matthias.seidel@hamburg.de>:
>> Am 29.06.19 um 13:11 schrieb Peter Kovacs:
>>> If it is a standard 18.04 Ubuntu
>> I think it is...
>>> |/usr/bin/python still points to 2.7 if version 3 should be use it
>> needs
>>> to run |
>>> |/usr/bin/python3 So I think thats not the problem. I updated the
>> ticket
>>> with the issue we experience and asked for an update. Lets see what
>>> happens. |||
>> See also: https://github.com/buildbot/buildbot/issues/4439
>>
>> Regards,
>>
>>    Matthias
>>
>>> On 29.06.19 11:06, Matthias Seidel wrote:
>>>> Hi Peter,
>>>>
>>>> This is the corresponding ticket:
>>>>
>>>>
>> https://issues.apache.org/jira/browse/INFRA-17822?page=com.atlassian.jira.plugin.system.issuetabpanels%3Acomment-tabpanel&focusedCommentId=16852361#comment-16852361
>>>> I think the main problem now is that bb-slave8 runs a newer version
>> of
>>>> buildbot and doesn't support Python 2.7 anymore:
>>>>
>>>>
>> https://ci.apache.org/builders/openoffice-linux64-nightly/builds/571/steps/delete%20old%20build/logs/err.text
>>>> Regards,
>>>>
>>>>    Matthias
>>>>
>>>> Am 29.06.19 um 10:58 schrieb Peter Kovacs:
>>>>> +1, since I am in full support of the build bots, I would like to
>>>>> support this, too.
>>>>>
>>>>> I do not have any rights I think. Will check as soon as I can
>> confirm
>>>>> that my connection works now on the Laptop.
>>>>>
>>>>> The more maintainers are available the better the situation is.
>>>>>
>>>>> On 29.06.19 10:39, Matthias Seidel wrote:
>>>>>> Hi all,
>>>>>>
>>>>>> Am 27.06.19 um 12:16 schrieb Josef Latt:
>>>>>>> Hi,
>>>>>>>
>>>>>>> what's about the 64 bit builds?
>>>>>>> They are outdated > 1 month.
>>>>>> Josef has a point here.
>>>>>>
>>>>>> We should concentrate on getting the existing buildbots up before
>> we
>>>>>> dream about new VMs and macOS...
>>>>>>
>>>>>> Volunteers? ;-)
>>>>>>
>>>>>> Regards,
>>>>>>
>>>>>>    Matthias
>>>>>>
>>>>>>> Regards
>>>>>>> Josef
>>>>>>>
>>>>>>> Am 25.06.19 um 15:31 schrieb Matthias Seidel:
>>>>>>>> Hi all,
>>>>>>>>
>>>>>>>> Infra does not provide 32-bit slaves anymore, so we will
not
>> have new
>>>>>>>> builds for Linux32 here:
>>>>>>>>
>>>>>>>> https://www.openoffice.org/download/devbuilds.html
>>>>>>>>
>>>>>>>> I will update the page but leave the links to the most recent
>> builds for
>>>>>>>> a while.
>>>>>>>>
>>>>>>>> Regards,
>>>>>>>>
>>>>>>>>    Matthias
>>>>>>>>
>>>>>>>>
>> ---------------------------------------------------------------------
>>>>>>> To unsubscribe, e-mail: dev-unsubscribe@openoffice.apache.org
>>>>>>> For additional commands, e-mail: dev-help@openoffice.apache.org
>>>>>>>
>>>>>>>
>> ---------------------------------------------------------------------
>>>>> To unsubscribe, e-mail: dev-unsubscribe@openoffice.apache.org
>>>>> For additional commands, e-mail: dev-help@openoffice.apache.org
>>>>>


Mime
View raw message